Download it now!
Bug 75158 - FILESAVE : Fields are not preserved in roundtrip file.
Summary: FILESAVE : Fields are not preserved in roundtrip file.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-18 13:31 UTC by Sushil Shinde
Modified: 2019-07-01 01:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file with fields data. (23.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-18 13:31 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-02-18 13:31:29 UTC
Created attachment 94284 [details]
Original file with fields data.

Steps to reproduce :

1) Create DOCX file with any field(from given list below) on MS-office.
2) Open that file in LO and save as .docx file.
3) Reopen that file in MSOffice.
4) Fields are missing after roundtrip on LO.

List of fileds:

Compare field    Print field   PrintDate field   SaveDate field   
MacroButton field    IF field   AddressBlock field    Advance field
Author field    Section field   SectionPages field.
Comment 1 Jorendc 2014-02-18 20:36:45 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: b540f9172814f51361cf31d2a4b03e34d1d375ef
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-15_00:28:42
Comment 2 Commit Notification 2014-03-07 09:20:06 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6b99eedda03461202f9bf012a422dfd81da72ec

fdo#75158 : Handled unsupported fields for docx file.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Sushil Shinde 2014-03-07 09:38:10 UTC
Changes merged with master properly.